import openfl.display.Sprite;

class MobsList extends Sprite {
	public var mob:String;

	public function new(editor:Main) {
		super();

		var types:Array<String> = ['player', 'ghost', 'ghost_spawn', 'coin'];

		var buttons:Array<Button> = [];

		for (type in types) {
			var btn:Button;

			btn = new Button(type, () -> {
				editor.mode = Mobs;
				editor.selectedMob = type;
			});

			btn.y = height;
			addChild(btn);
		}
	}
}
